Index: fedd/abac-src/atnvis/strategy_comparison/sadmir-ussh_visby/USSH.prop
===================================================================
--- fedd/abac-src/atnvis/strategy_comparison/sadmir-ussh_visby/USSH.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/strategy_comparison/sadmir-ussh_visby/USSH.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,420 @@
+subject = USSH
+policy.1 = Ack[USN.assignedNRet] = US.friendly.usr
+
+update.1.location = remote
+
+update.1.1.type = node
+update.1.1.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.4.childName = SAdmir: SENavy.usr <<-?- USSH
+update.1.4.childType = RoleTarget
+update.1.4.childProcessing = verifier
+update.1.4.evidence.1 = SAdmir.getsSLocs<-SENavy.usr
+
+update.1.5.type = node
+update.1.5.nodeType = RoleTarget
+update.1.5.name = SAdmir: SENavy.usr <<-?- USSH
+update.1.5.processing = verifier
+update.1.5.satisfied = Unknown
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.2.location = local
+
+update.2.1.type = node
+update.2.1.nodeType = RoleTarget
+update.2.1.name = SAdmir: SENavy.usr <<-?- USSH
+update.2.1.processing = fully
+update.2.1.satisfied = Failed
+
+update.2.2.type = node
+update.2.2.name = SAdmir: SENavy.usr <<-?- USSH
+update.2.2.processing = opponent
+
+update.3.location = remote
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.3.1.childName = SAdmir: SEAFHQ.usr <<-?- USSH
+update.3.1.childType = RoleTarget
+update.3.1.childProcessing = verifier
+update.3.1.evidence.1 = SAdmir.getsSLocs<-SEAFHQ.usr
+
+update.3.2.type = node
+update.3.2.nodeType = RoleTarget
+update.3.2.name = SAdmir: SEAFHQ.usr <<-?- USSH
+update.3.2.processing = verifier
+update.3.2.satisfied = Unknown
+
+update.3.3.type = node
+update.3.3.nodeType = RoleTarget
+update.3.3.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.3.3.processing = opponent
+update.3.3.satisfied = Unknown
+
+update.3.4.type = edge
+update.3.4.edgeType = Implication
+update.3.4.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.3.4.childName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.3.4.childType = LinkedRoleTarget
+update.3.4.childProcessing = opponent
+update.3.4.evidence.1 = SAdmir.needsSLocs<-SAdmir.NRetTacCom.NRetTacUsr
+update.3.4.evidence.2 = SAdmir.getsSLocs<-SAdmir.needsSLocs
+
+update.3.5.type = node
+update.3.5.nodeType = LinkedRoleTarget
+update.3.5.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.3.5.processing = opponent
+update.3.5.satisfied = Unknown
+
+update.3.6.type = node
+update.3.6.nodeType = RoleTarget
+update.3.6.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.3.6.processing = opponent
+update.3.6.satisfied = Unknown
+
+update.3.7.type = node
+update.3.7.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.3.7.processing = verifier
+
+update.3.8.type = edge
+update.3.8.edgeType = LinkingMonitor
+update.3.8.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.3.8.childName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.3.8.childType = LinkingGoal
+update.3.8.childProcessing = verifier
+
+update.3.9.type = node
+update.3.9.nodeType = LinkingGoal
+update.3.9.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.3.9.processing = verifier
+update.3.9.satisfied = Incomplete
+
+update.4.location = local
+
+update.4.1.type = node
+update.4.1.nodeType = RoleTarget
+update.4.1.name = SAdmir: SEAFHQ.usr <<-?- USSH
+update.4.1.processing = fully
+update.4.1.satisfied = Failed
+
+update.4.2.type = node
+update.4.2.name = SAdmir: SEAFHQ.usr <<-?- USSH
+update.4.2.processing = opponent
+
+update.4.3.type = edge
+update.4.3.edgeType = LinkingSolution
+update.4.3.parentName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.4.3.childName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.4.3.childType = RoleTarget
+update.4.3.childProcessing = verifier
+
+update.4.4.type = node
+update.4.4.nodeType = RoleTarget
+update.4.4.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.4.4.processing = verifier
+update.4.4.satisfied = Unknown
+
+update.4.5.type = node
+update.4.5.nodeType = LinkingGoal
+update.4.5.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.4.5.processing = fully
+update.4.5.satisfied = Incomplete
+
+update.4.6.type = node
+update.4.6.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.4.6.processing = opponent
+
+update.4.7.type = edge
+update.4.7.edgeType = Implication
+update.4.7.parentName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.4.7.childName = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.7.childType = RoleTarget
+update.4.7.childProcessing = verifier
+update.4.7.evidence.1 = RADMSmith.NRetTacUsr<-USN.assignedNRet
+
+update.4.8.type = node
+update.4.8.nodeType = RoleTarget
+update.4.8.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.8.processing = verifier
+update.4.8.satisfied = Unknown
+
+update.4.9.type = node
+update.4.9.nodeType = RoleTarget
+update.4.9.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.4.9.processing = verifier
+update.4.9.satisfied = Unknown
+
+update.4.10.type = node
+update.4.10.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.4.10.processing = opponent
+
+update.4.11.type = edge
+update.4.11.edgeType = Control
+update.4.11.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.11.childName = USSH: US.friendly.usr <<-?- SAdmir
+update.4.11.childType = LinkedRoleTarget
+update.4.11.childProcessing = opponent
+
+update.4.12.type = node
+update.4.12.nodeType = LinkedRoleTarget
+update.4.12.name = USSH: US.friendly.usr <<-?- SAdmir
+update.4.12.processing = opponent
+update.4.12.satisfied = Unknown
+
+update.4.13.type = edge
+update.4.13.edgeType = Implication
+update.4.13.parentName = USSH: US.friendly.usr <<-?- SAdmir
+update.4.13.childName = USSH: SE.usr <<-?- SAdmir
+update.4.13.childType = RoleTarget
+update.4.13.childProcessing = verifier
+
+update.4.14.type = node
+update.4.14.nodeType = RoleTarget
+update.4.14.name = USSH: SE.usr <<-?- SAdmir
+update.4.14.processing = verifier
+update.4.14.satisfied = Unknown
+
+update.4.15.type = node
+update.4.15.nodeType = LinkedRoleTarget
+update.4.15.name = USSH: US.friendly.usr <<-?- SAdmir
+update.4.15.processing = opponent
+update.4.15.satisfied = Unknown
+
+update.4.16.type = node
+update.4.16.name = USSH: US.friendly.usr <<-?- SAdmir
+update.4.16.processing = verifier
+
+update.5.location = remote
+
+update.5.1.type = edge
+update.5.1.edgeType = Implication
+update.5.1.parentName = USSH: SE.usr <<-?- SAdmir
+update.5.1.childName = USSH: SAdmir <<-?- SAdmir
+update.5.1.childType = TrivialTarget
+update.5.1.childProcessing = fully
+update.5.1.evidence.1 = SE.usr<-SAdmir
+
+update.5.2.type = node
+update.5.2.nodeType = TrivialTarget
+update.5.2.name = USSH: SAdmir <<-?- SAdmir
+update.5.2.processing = fully
+update.5.2.satisfied = Satisfied
+
+update.5.3.type = node
+update.5.3.nodeType = RoleTarget
+update.5.3.name = USSH: SE.usr <<-?- SAdmir
+update.5.3.processing = verifier
+update.5.3.satisfied = Unknown
+
+update.5.4.type = node
+update.5.4.nodeType = RoleTarget
+update.5.4.name = USSH: SE.usr <<-?- SAdmir
+update.5.4.processing = verifier
+update.5.4.satisfied = Satisfied
+
+update.5.5.type = node
+update.5.5.nodeType = LinkedRoleTarget
+update.5.5.name = USSH: US.friendly.usr <<-?- SAdmir
+update.5.5.processing = fully
+update.5.5.satisfied = Satisfied
+
+update.5.6.type = node
+update.5.6.name = USSH: SE.usr <<-?- SAdmir
+update.5.6.processing = opponent
+
+update.6.location = local
+
+update.6.1.type = edge
+update.6.1.edgeType = Implication
+update.6.1.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.6.1.childName = SAdmir: USSH <<-?- USSH
+update.6.1.childType = TrivialTarget
+update.6.1.childProcessing = fully
+update.6.1.evidence.1 = USN.assignedNRet<-USSH
+
+update.6.2.type = node
+update.6.2.nodeType = TrivialTarget
+update.6.2.name = SAdmir: USSH <<-?- USSH
+update.6.2.processing = fully
+update.6.2.satisfied = Satisfied
+
+update.6.3.type = node
+update.6.3.nodeType = RoleTarget
+update.6.3.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.6.3.processing = verifier
+update.6.3.satisfied = Unknown
+
+update.6.4.type = node
+update.6.4.nodeType = RoleTarget
+update.6.4.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.6.4.processing = verifier
+update.6.4.satisfied = Satisfied
+
+update.6.5.type = node
+update.6.5.nodeType = RoleTarget
+update.6.5.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.6.5.processing = fully
+update.6.5.satisfied = Satisfied
+
+update.6.6.type = node
+update.6.6.nodeType = LinkingGoal
+update.6.6.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.6.6.processing = fully
+update.6.6.satisfied = Complete
+
+update.6.7.type = node
+update.6.7.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.6.7.processing = opponent
+
+update.7.location = remote
+
+update.7.1.type = edge
+update.7.1.edgeType = LinkingImplication
+update.7.1.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.7.1.childName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.7.1.childType = RoleTarget
+update.7.1.childProcessing = opponent
+
+update.7.2.type = node
+update.7.2.nodeType = RoleTarget
+update.7.2.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.7.2.processing = opponent
+update.7.2.satisfied = Unknown
+
+update.7.3.type = node
+update.7.3.nodeType = LinkedRoleTarget
+update.7.3.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.7.3.processing = opponent
+update.7.3.satisfied = Unknown
+
+update.7.4.type = node
+update.7.4.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.7.4.processing = verifier
+
+update.7.5.type = edge
+update.7.5.edgeType = Implication
+update.7.5.parentName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.7.5.childName = SAdmir: FinnCOM.NRetFinnTacCom <<-?- RADMSmith
+update.7.5.childType = RoleTarget
+update.7.5.childProcessing = opponent
+update.7.5.evidence.1 = SAdmir.NRetTacCom<-FinnCOM.NRetFinnTacCom
+
+update.7.6.type = node
+update.7.6.nodeType = RoleTarget
+update.7.6.name = SAdmir: FinnCOM.NRetFinnTacCom <<-?- RADMSmith
+update.7.6.processing = opponent
+update.7.6.satisfied = Unknown
+
+update.7.7.type = node
+update.7.7.nodeType = RoleTarget
+update.7.7.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.7.7.processing = opponent
+update.7.7.satisfied = Unknown
+
+update.7.8.type = edge
+update.7.8.edgeType = Implication
+update.7.8.parentName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.7.8.childName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.7.8.childType = RoleTarget
+update.7.8.childProcessing = verifier
+update.7.8.evidence.1 = SAdmir.NRetTacCom<-USEUCOM.NRetUSTacCom
+
+update.7.9.type = node
+update.7.9.nodeType = RoleTarget
+update.7.9.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.7.9.processing = verifier
+update.7.9.satisfied = Unknown
+
+update.7.10.type = node
+update.7.10.nodeType = RoleTarget
+update.7.10.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.7.10.processing = opponent
+update.7.10.satisfied = Unknown
+
+update.7.11.type = node
+update.7.11.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.7.11.processing = verifier
+
+update.7.12.type = node
+update.7.12.name = SAdmir: FinnCOM.NRetFinnTacCom <<-?- RADMSmith
+update.7.12.processing = verifier
+
+update.7.13.type = node
+update.7.13.nodeType = RoleTarget
+update.7.13.name = SAdmir: FinnCOM.NRetFinnTacCom <<-?- RADMSmith
+update.7.13.processing = fully
+update.7.13.satisfied = Failed
+
+update.8.location = local
+
+update.8.1.type = edge
+update.8.1.edgeType = Implication
+update.8.1.parentName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.8.1.childName = SAdmir: RADMSmith <<-?- RADMSmith
+update.8.1.childType = TrivialTarget
+update.8.1.childProcessing = fully
+update.8.1.evidence.1 = USEUCOM.NRetUSTacCom<-RADMSmith
+
+update.8.2.type = node
+update.8.2.nodeType = TrivialTarget
+update.8.2.name = SAdmir: RADMSmith <<-?- RADMSmith
+update.8.2.processing = fully
+update.8.2.satisfied = Satisfied
+
+update.8.3.type = node
+update.8.3.nodeType = RoleTarget
+update.8.3.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.8.3.processing = verifier
+update.8.3.satisfied = Unknown
+
+update.8.4.type = node
+update.8.4.nodeType = RoleTarget
+update.8.4.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.8.4.processing = verifier
+update.8.4.satisfied = Satisfied
+
+update.8.5.type = node
+update.8.5.nodeType = RoleTarget
+update.8.5.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.8.5.processing = fully
+update.8.5.satisfied = Satisfied
+
+update.8.6.type = node
+update.8.6.nodeType = LinkedRoleTarget
+update.8.6.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.8.6.processing = fully
+update.8.6.satisfied = Satisfied
+
+update.8.7.type = node
+update.8.7.nodeType = RoleTarget
+update.8.7.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.8.7.processing = fully
+update.8.7.satisfied = Satisfied
+
+update.8.8.type = node
+update.8.8.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.8.8.processing = opponent
+
